Fix ChangeLog typos in previous commit.
[bpt/emacs.git] / m4 / gl-comp.m4
CommitLineData
743c80a7
PE
1# DO NOT EDIT! GENERATED AUTOMATICALLY!
2# Copyright (C) 2002-2011 Free Software Foundation, Inc.
3#
4# This file is free software, distributed under the terms of the GNU
5# General Public License. As a special exception to the GNU General
6# Public License, this file may be distributed as part of a program
7# that contains a configuration script generated by Autoconf, under
8# the same distribution terms as the rest of that program.
9#
10# Generated by gnulib-tool.
11#
12# This file represents the compiled summary of the specification in
13# gnulib-cache.m4. It lists the computed macro invocations that need
14# to be invoked from configure.ac.
15# In projects that use version control, this file can be treated like
16# other built files.
17
18
19# This macro should be invoked from ./configure.in, in the section
20# "Checks for programs", right after AC_PROG_CC, and certainly before
21# any checks for libraries, header files, types and library functions.
22AC_DEFUN([gl_EARLY],
23[
24 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
25 m4_pattern_allow([^gl_ES$])dnl a valid locale name
26 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
27 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
28 AC_REQUIRE([AC_PROG_RANLIB])
fa23e171 29 # Code from module alloca-opt:
7ec98caf 30 # Code from module allocator:
1fd182f0
PE
31 # Code from module arg-nonnull:
32 # Code from module c++defs:
d1fdcab7 33 # Code from module careadlinkat:
942f733f 34 # Code from module crypto/md5:
13c3daa4 35 # Code from module crypto/sha1:
3ce9d0d4
LL
36 # Code from module crypto/sha256:
37 # Code from module crypto/sha512:
36f13e16 38 # Code from module dosname:
f737437b 39 # Code from module dtoastr:
7a7ef429 40 # Code from module dup2:
1fd182f0
PE
41 # Code from module extensions:
42 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
5fa4ac76 43 # Code from module filemode:
79ab4b7f 44 # Code from module getloadavg:
e275c824
PE
45 # Code from module getopt-gnu:
46 # Code from module getopt-posix:
47 # Code from module gettext-h:
67342916 48 # Code from module ignore-value:
1fd182f0 49 # Code from module include_next:
a451f14b 50 # Code from module intprops:
b6f5355a 51 # Code from module inttypes-incomplete:
ae0d7250 52 # Code from module lstat:
1fd182f0
PE
53 # Code from module mktime:
54 # Code from module multiarch:
6db30f83 55 # Code from module pthread_sigmask:
ae0d7250 56 # Code from module readlink:
6db30f83 57 # Code from module signal:
2a84b02d 58 # Code from module sigprocmask:
401bf9b4 59 # Code from module socklen:
d1fdcab7 60 # Code from module ssize_t:
ae0d7250 61 # Code from module stat:
c378da0b
PE
62 # Code from module stdarg:
63 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
64 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
65 dnl AC_PROG_CC_STDC arranges for this. With older Autoconf AC_PROG_CC_STDC
66 dnl shouldn't hurt, though installers are on their own to set c99 mode.
67 AC_REQUIRE([AC_PROG_CC_STDC])
16c3e636 68 # Code from module stdbool:
1fd182f0 69 # Code from module stddef:
5f90be1b 70 # Code from module stdint:
77185bdf 71 # Code from module stdio:
79ab4b7f 72 # Code from module stdlib:
16c3e636 73 # Code from module strftime:
b6f5355a 74 # Code from module strtoull:
a8a2bb29 75 # Code from module strtoumax:
ae0d7250 76 # Code from module symlink:
5fa4ac76 77 # Code from module sys_stat:
1fd182f0
PE
78 # Code from module time:
79 # Code from module time_r:
3ce9d0d4 80 # Code from module u64:
e275c824 81 # Code from module unistd:
a8a2bb29 82 # Code from module verify:
1fd182f0 83 # Code from module warn-on-use:
743c80a7
PE
84])
85
86# This macro should be invoked from ./configure.in, in the section
87# "Check for header files, types and library functions".
88AC_DEFUN([gl_INIT],
89[
90 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
91 gl_cond_libtool=false
92 gl_libdeps=
93 gl_ltlibdeps=
94 gl_m4_base='m4'
95 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
96 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
97 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
98 m4_pushdef([gl_LIBSOURCES_LIST], [])
99 m4_pushdef([gl_LIBSOURCES_DIR], [])
100 gl_COMMON
101 gl_source_base='lib'
fa23e171 102gl_FUNC_ALLOCA
19548d08
PE
103AC_CHECK_FUNCS_ONCE([readlinkat])
104gl_MD5
13c3daa4 105gl_SHA1
3ce9d0d4
LL
106gl_SHA256
107gl_SHA512
19548d08 108AC_REQUIRE([gl_C99_STRTOLD])
7a7ef429
PE
109gl_FUNC_DUP2
110gl_UNISTD_MODULE_INDICATOR([dup2])
19548d08 111gl_FILEMODE
6a3e57bb 112gl_GETLOADAVG
8aeb5be9
PE
113if test $HAVE_GETLOADAVG = 0; then
114 AC_LIBOBJ([getloadavg])
115 gl_PREREQ_GETLOADAVG
116fi
19548d08
PE
117gl_STDLIB_MODULE_INDICATOR([getloadavg])
118gl_FUNC_GETOPT_GNU
8aeb5be9
PE
119if test $REPLACE_GETOPT = 1; then
120 AC_LIBOBJ([getopt])
121 AC_LIBOBJ([getopt1])
122 gl_PREREQ_GETOPT
123fi
19548d08
PE
124gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
125gl_FUNC_GETOPT_POSIX
8aeb5be9
PE
126if test $REPLACE_GETOPT = 1; then
127 AC_LIBOBJ([getopt])
128 AC_LIBOBJ([getopt1])
129 gl_PREREQ_GETOPT
130fi
19548d08
PE
131AC_REQUIRE([AC_C_INLINE])
132gl_INTTYPES_INCOMPLETE
133gl_FUNC_LSTAT
8aeb5be9
PE
134if test $REPLACE_LSTAT = 1; then
135 AC_LIBOBJ([lstat])
136 gl_PREREQ_LSTAT
137fi
19548d08
PE
138gl_SYS_STAT_MODULE_INDICATOR([lstat])
139gl_FUNC_MKTIME
8aeb5be9
PE
140if test $REPLACE_MKTIME = 1; then
141 AC_LIBOBJ([mktime])
142 gl_PREREQ_MKTIME
143fi
19548d08
PE
144gl_TIME_MODULE_INDICATOR([mktime])
145gl_MULTIARCH
2a84b02d
PE
146gl_FUNC_PTHREAD_SIGMASK
147if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
148 AC_LIBOBJ([pthread_sigmask])
149fi
6db30f83 150gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
19548d08 151gl_FUNC_READLINK
8aeb5be9
PE
152if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
153 AC_LIBOBJ([readlink])
154 gl_PREREQ_READLINK
155fi
19548d08 156gl_UNISTD_MODULE_INDICATOR([readlink])
6db30f83 157gl_SIGNAL_H
19548d08
PE
158gl_TYPE_SOCKLEN_T
159gt_TYPE_SSIZE_T
c378da0b 160gl_STDARG_H
19548d08
PE
161AM_STDBOOL_H
162gl_STDDEF_H
163gl_STDINT_H
164gl_STDIO_H
165gl_STDLIB_H
166gl_FUNC_GNU_STRFTIME
167gl_FUNC_STRTOUMAX
8aeb5be9
PE
168if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no; then
169 AC_LIBOBJ([strtoumax])
170 gl_PREREQ_STRTOUMAX
171fi
19548d08
PE
172gl_INTTYPES_MODULE_INDICATOR([strtoumax])
173gl_FUNC_SYMLINK
8aeb5be9
PE
174if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
175 AC_LIBOBJ([symlink])
176fi
19548d08
PE
177gl_UNISTD_MODULE_INDICATOR([symlink])
178gl_HEADER_SYS_STAT_H
179AC_PROG_MKDIR_P
180gl_HEADER_TIME_H
181gl_TIME_R
8aeb5be9
PE
182if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
183 AC_LIBOBJ([time_r])
184 gl_PREREQ_TIME_R
185fi
19548d08 186gl_TIME_MODULE_INDICATOR([time_r])
3ce9d0d4 187AC_REQUIRE([AC_C_INLINE])
19548d08
PE
188gl_UNISTD_H
189 gl_gnulib_enabled_dosname=false
190 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
2a84b02d 191 gl_gnulib_enabled_sigprocmask=false
19548d08
PE
192 gl_gnulib_enabled_stat=false
193 gl_gnulib_enabled_strtoull=false
194 gl_gnulib_enabled_verify=false
195 func_gl_gnulib_m4code_dosname ()
196 {
197 if ! $gl_gnulib_enabled_dosname; then
198 gl_gnulib_enabled_dosname=true
199 fi
200 }
201 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
202 {
203 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
204AC_SUBST([LIBINTL])
205AC_SUBST([LTLIBINTL])
206 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
207 fi
208 }
2a84b02d
PE
209 func_gl_gnulib_m4code_sigprocmask ()
210 {
211 if ! $gl_gnulib_enabled_sigprocmask; then
212gl_SIGNALBLOCKING
213if test $HAVE_POSIX_SIGNALBLOCKING = 0; then
214 AC_LIBOBJ([sigprocmask])
215 gl_PREREQ_SIGPROCMASK
216fi
217gl_SIGNAL_MODULE_INDICATOR([sigprocmask])
218 gl_gnulib_enabled_sigprocmask=true
219 fi
220 }
19548d08
PE
221 func_gl_gnulib_m4code_stat ()
222 {
223 if ! $gl_gnulib_enabled_stat; then
224gl_FUNC_STAT
8aeb5be9
PE
225if test $REPLACE_STAT = 1; then
226 AC_LIBOBJ([stat])
227 gl_PREREQ_STAT
228fi
19548d08
PE
229gl_SYS_STAT_MODULE_INDICATOR([stat])
230 gl_gnulib_enabled_stat=true
231 if $condition; then
232 func_gl_gnulib_m4code_dosname
233 fi
6dd7e400
PE
234 if $condition; then
235 func_gl_gnulib_m4code_verify
236 fi
19548d08
PE
237 fi
238 }
239 func_gl_gnulib_m4code_strtoull ()
240 {
241 if ! $gl_gnulib_enabled_strtoull; then
242gl_FUNC_STRTOULL
8aeb5be9
PE
243if test $HAVE_STRTOULL = 0; then
244 AC_LIBOBJ([strtoull])
245 gl_PREREQ_STRTOULL
246fi
19548d08
PE
247gl_STDLIB_MODULE_INDICATOR([strtoull])
248 gl_gnulib_enabled_strtoull=true
249 fi
250 }
251 func_gl_gnulib_m4code_verify ()
252 {
253 if ! $gl_gnulib_enabled_verify; then
254 gl_gnulib_enabled_verify=true
255 fi
256 }
8aeb5be9 257 if test $REPLACE_GETOPT = 1; then
19548d08
PE
258 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
259 fi
260 if test $REPLACE_LSTAT = 1; then
261 func_gl_gnulib_m4code_dosname
262 fi
263 if test $REPLACE_LSTAT = 1; then
264 func_gl_gnulib_m4code_stat
265 fi
2a84b02d 266 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
6db30f83
PE
267 func_gl_gnulib_m4code_sigprocmask
268 fi
19548d08
PE
269 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
270 func_gl_gnulib_m4code_stat
271 fi
272 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no; then
273 func_gl_gnulib_m4code_verify
274 fi
275 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
276 func_gl_gnulib_m4code_strtoull
277 fi
278 m4_pattern_allow([^gl_GNULIB_ENABLED_])
279 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
280 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
2a84b02d 281 AM_CONDITIONAL([gl_GNULIB_ENABLED_sigprocmask], [$gl_gnulib_enabled_sigprocmask])
19548d08
PE
282 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
283 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
284 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
743c80a7
PE
285 # End of code from modules
286 m4_ifval(gl_LIBSOURCES_LIST, [
287 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
288 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
289 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
290 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
291 exit 1
292 fi
293 done])dnl
294 m4_if(m4_sysval, [0], [],
295 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
296 ])
297 m4_popdef([gl_LIBSOURCES_DIR])
298 m4_popdef([gl_LIBSOURCES_LIST])
299 m4_popdef([AC_LIBSOURCES])
300 m4_popdef([AC_REPLACE_FUNCS])
301 m4_popdef([AC_LIBOBJ])
302 AC_CONFIG_COMMANDS_PRE([
303 gl_libobjs=
304 gl_ltlibobjs=
305 if test -n "$gl_LIBOBJS"; then
306 # Remove the extension.
307 sed_drop_objext='s/\.o$//;s/\.obj$//'
308 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
309 gl_libobjs="$gl_libobjs $i.$ac_objext"
310 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
311 done
312 fi
313 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
314 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
315 ])
316 gltests_libdeps=
317 gltests_ltlibdeps=
318 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
319 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
320 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
321 m4_pushdef([gltests_LIBSOURCES_LIST], [])
322 m4_pushdef([gltests_LIBSOURCES_DIR], [])
323 gl_COMMON
324 gl_source_base='tests'
325changequote(,)dnl
326 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
327changequote([, ])dnl
328 AC_SUBST([gltests_WITNESS])
329 gl_module_indicator_condition=$gltests_WITNESS
330 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
19548d08 331 m4_pattern_allow([^gl_GNULIB_ENABLED_])
743c80a7
PE
332 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
333 m4_ifval(gltests_LIBSOURCES_LIST, [
334 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
335 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
336 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
337 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
338 exit 1
339 fi
340 done])dnl
341 m4_if(m4_sysval, [0], [],
342 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
343 ])
344 m4_popdef([gltests_LIBSOURCES_DIR])
345 m4_popdef([gltests_LIBSOURCES_LIST])
346 m4_popdef([AC_LIBSOURCES])
347 m4_popdef([AC_REPLACE_FUNCS])
348 m4_popdef([AC_LIBOBJ])
349 AC_CONFIG_COMMANDS_PRE([
350 gltests_libobjs=
351 gltests_ltlibobjs=
352 if test -n "$gltests_LIBOBJS"; then
353 # Remove the extension.
354 sed_drop_objext='s/\.o$//;s/\.obj$//'
355 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
356 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
357 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
358 done
359 fi
360 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
361 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
362 ])
363 LIBGNU_LIBDEPS="$gl_libdeps"
364 AC_SUBST([LIBGNU_LIBDEPS])
365 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
366 AC_SUBST([LIBGNU_LTLIBDEPS])
367])
368
369# Like AC_LIBOBJ, except that the module name goes
370# into gl_LIBOBJS instead of into LIBOBJS.
371AC_DEFUN([gl_LIBOBJ], [
372 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
373 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
374])
375
376# Like AC_REPLACE_FUNCS, except that the module name goes
377# into gl_LIBOBJS instead of into LIBOBJS.
378AC_DEFUN([gl_REPLACE_FUNCS], [
379 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
380 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
381])
382
383# Like AC_LIBSOURCES, except the directory where the source file is
384# expected is derived from the gnulib-tool parameterization,
385# and alloca is special cased (for the alloca-opt module).
386# We could also entirely rely on EXTRA_lib..._SOURCES.
387AC_DEFUN([gl_LIBSOURCES], [
388 m4_foreach([_gl_NAME], [$1], [
389 m4_if(_gl_NAME, [alloca.c], [], [
390 m4_define([gl_LIBSOURCES_DIR], [lib])
391 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
392 ])
393 ])
394])
395
396# Like AC_LIBOBJ, except that the module name goes
397# into gltests_LIBOBJS instead of into LIBOBJS.
398AC_DEFUN([gltests_LIBOBJ], [
399 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
400 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
401])
402
403# Like AC_REPLACE_FUNCS, except that the module name goes
404# into gltests_LIBOBJS instead of into LIBOBJS.
405AC_DEFUN([gltests_REPLACE_FUNCS], [
406 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
407 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
408])
409
410# Like AC_LIBSOURCES, except the directory where the source file is
411# expected is derived from the gnulib-tool parameterization,
412# and alloca is special cased (for the alloca-opt module).
413# We could also entirely rely on EXTRA_lib..._SOURCES.
414AC_DEFUN([gltests_LIBSOURCES], [
415 m4_foreach([_gl_NAME], [$1], [
416 m4_if(_gl_NAME, [alloca.c], [], [
417 m4_define([gltests_LIBSOURCES_DIR], [tests])
418 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
419 ])
420 ])
421])
422
423# This macro records the list of files which have been installed by
424# gnulib-tool and may be removed by future gnulib-tool invocations.
425AC_DEFUN([gl_FILE_LIST], [
1fd182f0
PE
426 build-aux/arg-nonnull.h
427 build-aux/c++defs.h
428 build-aux/warn-on-use.h
fa23e171 429 lib/alloca.in.h
7ec98caf 430 lib/allocator.c
d1fdcab7
PE
431 lib/allocator.h
432 lib/careadlinkat.c
433 lib/careadlinkat.h
36f13e16 434 lib/dosname.h
a451f14b 435 lib/dtoastr.c
7a7ef429 436 lib/dup2.c
5fa4ac76
PE
437 lib/filemode.c
438 lib/filemode.h
a451f14b
PE
439 lib/ftoastr.c
440 lib/ftoastr.h
79ab4b7f 441 lib/getloadavg.c
e275c824
PE
442 lib/getopt.c
443 lib/getopt.in.h
444 lib/getopt1.c
445 lib/getopt_int.h
446 lib/gettext.h
67342916 447 lib/ignore-value.h
a451f14b 448 lib/intprops.h
a8a2bb29 449 lib/inttypes.in.h
ae0d7250 450 lib/lstat.c
942f733f
PE
451 lib/md5.c
452 lib/md5.h
1fd182f0
PE
453 lib/mktime-internal.h
454 lib/mktime.c
2a84b02d 455 lib/pthread_sigmask.c
ae0d7250 456 lib/readlink.c
13c3daa4
LL
457 lib/sha1.c
458 lib/sha1.h
3ce9d0d4
LL
459 lib/sha256.c
460 lib/sha256.h
461 lib/sha512.c
462 lib/sha512.h
6db30f83 463 lib/signal.in.h
2a84b02d 464 lib/sigprocmask.c
ae0d7250 465 lib/stat.c
c378da0b 466 lib/stdarg.in.h
16c3e636 467 lib/stdbool.in.h
1fd182f0 468 lib/stddef.in.h
5f90be1b 469 lib/stdint.in.h
77185bdf 470 lib/stdio.in.h
79ab4b7f 471 lib/stdlib.in.h
16c3e636
PE
472 lib/strftime.c
473 lib/strftime.h
a8a2bb29
PE
474 lib/strtoimax.c
475 lib/strtol.c
a8a2bb29
PE
476 lib/strtoul.c
477 lib/strtoull.c
478 lib/strtoumax.c
ae0d7250 479 lib/symlink.c
5fa4ac76 480 lib/sys_stat.in.h
1fd182f0
PE
481 lib/time.in.h
482 lib/time_r.c
3ce9d0d4 483 lib/u64.h
e275c824 484 lib/unistd.in.h
a8a2bb29 485 lib/verify.h
743c80a7 486 m4/00gnulib.m4
fa23e171 487 m4/alloca.m4
a451f14b 488 m4/c-strtod.m4
7a7ef429 489 m4/dup2.m4
1fd182f0 490 m4/extensions.m4
5fa4ac76 491 m4/filemode.m4
79ab4b7f 492 m4/getloadavg.m4
e275c824 493 m4/getopt.m4
743c80a7 494 m4/gnulib-common.m4
1fd182f0 495 m4/include_next.m4
a8a2bb29 496 m4/inttypes.m4
5f90be1b 497 m4/longlong.m4
ae0d7250 498 m4/lstat.m4
942f733f 499 m4/md5.m4
1fd182f0
PE
500 m4/mktime.m4
501 m4/multiarch.m4
6db30f83 502 m4/pthread_sigmask.m4
ae0d7250 503 m4/readlink.m4
13c3daa4 504 m4/sha1.m4
3ce9d0d4
LL
505 m4/sha256.m4
506 m4/sha512.m4
6db30f83 507 m4/signal_h.m4
2a84b02d 508 m4/signalblocking.m4
401bf9b4 509 m4/socklen.m4
d1fdcab7 510 m4/ssize_t.m4
5fa4ac76 511 m4/st_dm_mode.m4
ae0d7250 512 m4/stat.m4
c378da0b 513 m4/stdarg.m4
16c3e636 514 m4/stdbool.m4
1fd182f0 515 m4/stddef_h.m4
5f90be1b 516 m4/stdint.m4
77185bdf 517 m4/stdio_h.m4
79ab4b7f 518 m4/stdlib_h.m4
16c3e636 519 m4/strftime.m4
a8a2bb29
PE
520 m4/strtoull.m4
521 m4/strtoumax.m4
ae0d7250 522 m4/symlink.m4
5fa4ac76 523 m4/sys_stat_h.m4
1fd182f0
PE
524 m4/time_h.m4
525 m4/time_r.m4
16c3e636 526 m4/tm_gmtoff.m4
e275c824 527 m4/unistd_h.m4
1fd182f0
PE
528 m4/warn-on-use.m4
529 m4/wchar_t.m4
743c80a7 530])